import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/service_evaluate_list_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/service_evaluate_list_entity.g.dart';

@JsonSerializable()
class ServiceEvaluateListEntity {
	late int count = 0;
	late int page = 0;
	late int limit = 0;
	@JSONField(name: "count_page")
	late int countPage = 0;
	late List<ServiceEvaluateListList> list = [];

	ServiceEvaluateListEntity();

	factory ServiceEvaluateListEntity.fromJson(Map<String, dynamic> json) => $ServiceEvaluateListEntityFromJson(json);

	Map<String, dynamic> toJson() => $ServiceEvaluateListEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class ServiceEvaluateListList {
	late int id = 0;
	late ServiceEvaluateListListAccount account;
	late int score = 0;
	late String comment = '';
	late List<dynamic> resources = [];
	@JSONField(name: "created_at")
	late String createdAt = '';

	ServiceEvaluateListList();

	factory ServiceEvaluateListList.fromJson(Map<String, dynamic> json) => $ServiceEvaluateListListFromJson(json);

	Map<String, dynamic> toJson() => $ServiceEvaluateListListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class ServiceEvaluateListListAccount {
	late int id = 0;
	late String name = '';
	late String avatar = '';

	ServiceEvaluateListListAccount();

	factory ServiceEvaluateListListAccount.fromJson(Map<String, dynamic> json) => $ServiceEvaluateListListAccountFromJson(json);

	Map<String, dynamic> toJson() => $ServiceEvaluateListListAccountToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}